# Package com.ihr.xbrl.om.exLinks

Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  XBRLAllowsDocumentation | Interface for elements that supports documentation elements Those are XBRLExtendedLink and XBRLLinkbase elements.
  XBRLlrrAndRelationshipConstraints.ExtraRelationshipValidationInterface | This interface defines a method for classes implementing additional validation constraints for a relationship that cannot be implemented in a generic way.
  XBRLRelationshipPoint | Elements that are extreme of a relationship in the source or target pointer MUST implement this interface .

- Class Summary
  Class | Description
  --- | ---
  CalculationLinkbase | The Class CalculationLinkbase.
  DefinitionLinkbase | The Class DefinitionLinkbase.
  DTSBase | a DTSBase is a container of all Extended links with the same value in the xlink:role attribute It doesn't matter in which XBRLLinkbase the Extended links are going to be serialized.
  DTSBaseSet | The Class DTSBaseSet.
  FootnoteLinkbase | The Class FootnoteLinkbase.
  FormulaLinkbase | The Class FormulaLinkbase.
  GenericLinkbase | The Class GenericLinkbase.
  LabelLinkbase | The Class LabelLinkbase.
  OtherLinkbase | The OtherLinkbase object fits in linkbases that are out of the scope of written specifications but are right because they agree with the In previous versions of the API the Generic Linkbase was created for Generic and Other linkbase types.
  PresentationLinkbase | The Class PresentationLinkbase.
  ReferenceLinkbase | The Class ReferenceLinkbase.
  VersionLinkbase | Deprecated this is a very old class that is no longer used in the system.
  XBRLArc | The Class XBRLArc.
  XBRLArcroleRef | The Class XBRLArcroleRef.
  XBRLDocumentation | This class represents the 2.2.13 XBRL Documentation Information Item
  XBRLExtendedLink | The Class XBRLExtendedLink.
  XBRLLabelResource | Label resources are the object model representation of the link:label elements in label Linkbases
  XBRLLinkbase | Provides the properties of the XBRL Linkbase information item The [Parent] property is the parent class XBRLDocument An XBRL Linkbase is just the container of documentation and extended links.
  XBRLLinkbaseRef | Creates a linkbase ref element that will be serialized in a schema or instance document.
  XBRLLocator | This is not part of the XBRL Infoset.
  XBRLlrrAndRelationshipConstraints | The purpose of this class is to centralize here all information related to validation of relationships.
  XBRLlrrAndRelationshipConstraints.RelationshipConstraints | Defines what is going to be validated on every relationship.
  XBRLlrrAndRelationshipConstraints.RelationshipConstraintsBase | The Class RelationshipConstraintsBase.
  XBRLPointerOfARelationship | This is a XBRL Pointer Information Item Classes are: XBRLResource XBRLLocator.
  XBRLRelationship | The Class XBRLRelationship.
  XBRLRelationshipsChainLink | The chain or relationships is the set of relationships that have: the same source element, the same extended role link, the same relationship type, the same arcrole type the same value in the order attribute (implicit order included) The chain has two interesting properties: - Following relationship - Preceding relationship
  XBRLResource | This is the base type for XBRL resources.
  XBRLRoleRef | The Class XBRLRoleRef.
  XLinkElement | Base class for elements that contains attributes according to the XLink Specification.

## Package com.ihr.xbrl.om.exLinks Description

Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.

Extended Links are containers of meta data to the concept definitions in a taxonomy schema. Objects in this package allows applications to explore, write and read the content of XBRL Linkbases including generic linkbases.

Specific classes are created to deal with the specific rules of the container defined in the XBRL 2.1 specification. This is the reason there is a class for PresentationLinkbase content. That class (and any other that is a exteded link content) extends the generic XBRLExtendedLink object adding specific methods required for that kind of object.

This package also includes objects for the surrounding elements as XBRL Arcs, XBRL Relationships, XBRL Locators XBRL Resources, etc...

Since:
  1.0 Created: 31/08/2008
Author:
  Ignacio